org.optaplanner.benchmark.impl.statistic.subsingle.constraintmatchtotalbestscore

## Class ConstraintMatchTotalBestScoreSubSingleStatistic<Solution_>

- java.lang.Object
- - org.optaplanner.benchmark.impl.statistic.SubSingleStatistic<Solution_,StatisticPoint_>
  - - org.optaplanner.benchmark.impl.statistic.PureSubSingleStatistic<Solution_,ConstraintMatchTotalBestScoreStatisticPoint>
    - - org.optaplanner.benchmark.impl.statistic.subsingle.constraintmatchtotalbestscore.ConstraintMatchTotalBestScoreSubSingleStatistic<Solution_>

-     public class ConstraintMatchTotalBestScoreSubSingleStatistic<Solution_>
      extends PureSubSingleStatistic<Solution_,ConstraintMatchTotalBestScoreStatisticPoint>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<File>` | `graphFileList`

    - ### Fields inherited from class org.optaplanner.benchmark.impl.statistic.PureSubSingleStatistic

      `singleStatisticType`

    - ### Fields inherited from class org.optaplanner.benchmark.impl.statistic.SubSingleStatistic

      `logger, pointList, subSingleBenchmarkResult`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConstraintMatchTotalBestScoreSubSingleStatistic(SubSingleBenchmarkResult subSingleBenchmarkResult)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `close(Solver<Solution_> solver)`
    `protected ConstraintMatchTotalBestScoreStatisticPoint` | `createPointFromCsvLine(ScoreDefinition scoreDefinition, List<String> csvLine)`
    `protected String` | `getCsvHeader()`
    `List<File>` | `getGraphFileList()`
    `void` | `open(Solver<Solution_> solver)`
    `void` | `writeGraphFiles(BenchmarkReport benchmarkReport)`

    - ### Methods inherited from class org.optaplanner.benchmark.impl.statistic.PureSubSingleStatistic

      `getGraphFile, getStatisticType, toString, writeChartToImageFile`

    - ### Methods inherited from class org.optaplanner.benchmark.impl.statistic.SubSingleStatistic

      `getAnchorId, getCsvFile, getCsvFileName, getPointList, getRelativeCsvFilePath, getSubSingleBenchmarkResult, hibernatePointList, initPointList, setPointList, setSubSingleBenchmarkResult, unhibernatePointList`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### graphFileList

          protected List<File> graphFileList

  - ### Constructor Detail

    - #### ConstraintMatchTotalBestScoreSubSingleStatistic

          public ConstraintMatchTotalBestScoreSubSingleStatistic(SubSingleBenchmarkResult subSingleBenchmarkResult)

  - ### Method Detail

    - #### getGraphFileList

          public List<File> getGraphFileList()

      Specified by:
        `getGraphFileList` in class `PureSubSingleStatistic<Solution_,ConstraintMatchTotalBestScoreStatisticPoint>`
      Returns:
        never null

    - #### open

          public void open(Solver<Solution_> solver)

      Specified by:
        `open` in class `SubSingleStatistic<Solution_,ConstraintMatchTotalBestScoreStatisticPoint>`

    - #### close

          public void close(Solver<Solution_> solver)

      Specified by:
        `close` in class `SubSingleStatistic<Solution_,ConstraintMatchTotalBestScoreStatisticPoint>`

    - #### getCsvHeader

          protected String getCsvHeader()

      Specified by:
        `getCsvHeader` in class `SubSingleStatistic<Solution_,ConstraintMatchTotalBestScoreStatisticPoint>`

    - #### createPointFromCsvLine

          protected ConstraintMatchTotalBestScoreStatisticPoint createPointFromCsvLine(ScoreDefinition scoreDefinition,
                                                                                       List<String> csvLine)

      Specified by:
        `createPointFromCsvLine` in class `SubSingleStatistic<Solution_,ConstraintMatchTotalBestScoreStatisticPoint>`

    - #### writeGraphFiles

          public void writeGraphFiles(BenchmarkReport benchmarkReport)

      Specified by:
        `writeGraphFiles` in class `PureSubSingleStatistic<Solution_,ConstraintMatchTotalBestScoreStatisticPoint>`

Copyright © 2006–2020 JBoss by Red Hat. All rights reserved.